## lazpaint 6.4.1

=== Makefile ===
# On Linux, TARGET can be Gtk2 (default) or Qt5
# On FreeBSD, TARGET can be Gtk2 (default) or Qt5
# On Windows, TARGET can be Win32 (default) or Qt5

ifeq ($(OS),Windows_NT)     # true for Windows_NT or later
  SHELL := C:/Windows/System32/cmd.exe /c
  UNAME := Windows
  COPY := winmake\copyfile
  REMOVE := winmake\remove
  REMOVEDIR := winmake\removedir
  CREATEDIR := winmake\createdir
  ECHOFILE := type
  THEN := &
  RUN :=
else
  UNAME := $(shell uname)
  ifeq ($(UNAME),FreeBSD)
    SHELL := /usr/local/bin/bash
  else
    SHELL := /bin/bash
  endif
  COPY := cp
  REMOVE := rm -f
  REMOVEDIR := rm -rf
  CREATEDIR := mkdir -p
  ECHOFILE := cat
  THEN := ;
  RUN := ./
endif

lazdir := $(shell $(ECHOFILE) lazdir)
fpcbin := $(shell $(ECHOFILE) fpcbin)
package := lazpaint

ifeq ($(UNAME),Linux)
  TARGET ?= Gtk2
  prefix := $(shell $(ECHOFILE) prefix)
  ifeq ($(MULTIBIN),1)
    package := lazpaint-$(shell echo $(TARGET) | tr A-Z a-z)
    prefix := /../$(package)$(prefix)
  endif
  USER_DIR = $(DESTDIR)$(prefix)
  BIN_DIR = $(USER_DIR)/bin
  SHARE_DIR=$(USER_DIR)/share
  RESOURCE_DIR=$(SHARE_DIR)/lazpaint
  DOC_DIR=$(SHARE_DIR)/doc/$(package)
  ICON_DIR=$(SHARE_DIR)/icons/hicolor
  SOURCE_BIN_DIR=lazpaint/release
  SOURCE_DEBIAN_DIR=debian
  SOURCE_DEBIAN_UPSTREAM=debian-upstream
  PO_FILES:=$(shell find "$(SOURCE_BIN_DIR)/i18n" -maxdepth 1 -type f -name *.po -printf "\"%f\" ")
  MODEL_FILES:=$(shell find "$(SOURCE_BIN_DIR)/models" -maxdepth 1 -type f -printf "\"%f\" ")
  ICON:=lazpaint/lazpaint.ico
  ICONS=$(shell identify $(ICON) | awk -F '[[]|[]] | ' '{ printf "[%s]=%s ", $$2, $$4 }')
  EXTRACTED_ICONS_DIR=icons
  EXTRACTED_ICONS=$(shell find "${EXTRACTED_ICONS_DIR}" -maxdepth 1 -type f -name *x*.png -exec basename {} .png ';')
  LAZARUSDIRECTORIES:="-Fu$(lazdir)/*" "-Fi$(lazdir)/*" "-Fu$(lazdir)/components/printers/unix" "-Fi$(lazdir)/components/printers/unix" "-Fu$(lazdir)/packager/registration" "-Fi$(lazdir)/packager/registration" "-Fu$(lazdir)/components/*" "-Fi$(lazdir)/components/*" "-Fu$(lazdir)/lcl/forms" "-Fi$(lazdir)/lcl/forms" "-Fu$(lazdir)/lcl/widgetset" "-Fi$(lazdir)/lcl/widgetset" "-Fu$(lazdir)/interfaces/*" "-Fi$(lazdir)/interfaces/*" "-Fu$(lazdir)/lcl/nonwin32" "-Fi$(lazdir)/lcl/nonwin32" "-Fu$(lazdir)/lcl/interfaces/gtk2" "-Fi$(lazdir)/lcl/interfaces/gtk2" "-Fu$(lazdir)/lcl/components/*" "-Fi$(lazdir)/lcl/components/*" "-Fu$(lazdir)/lcl/include" "-Fi$(lazdir)/lcl/include" "-Fu$(lazdir)/lcl" "-Fi$(lazdir)/lcl"
endif

ifeq ($(UNAME),FreeBSD)
  TARGET ?= Gtk2
  LAZARUSDIRECTORIES:="-Fu$(lazdir)/*" "-Fi$(lazdir)/*" "-Fu$(lazdir)/components/printers/unix" "-Fi$(lazdir)/components/printers/unix" "-Fu$(lazdir)/packager/registration" "-Fi$(lazdir)/packager/registration" "-Fu$(lazdir)/components/*" "-Fi$(lazdir)/components/*" "-Fu$(lazdir)/lcl/forms" "-Fi$(lazdir)/lcl/forms" "-Fu$(lazdir)/lcl/widgetset" "-Fi$(lazdir)/lcl/widgetset" "-Fu$(lazdir)/interfaces/*" "-Fi$(lazdir)/interfaces/*" "-Fu$(lazdir)/lcl/nonwin32" "-Fi$(lazdir)/lcl/nonwin32" "-Fu$(lazdir)/lcl/interfaces/gtk2" "-Fi$(lazdir)/lcl/interfaces/gtk2" "-Fu$(lazdir)/lcl/components/*" "-Fi$(lazdir)/lcl/components/*" "-Fu$(lazdir)/lcl/include" "-Fi$(lazdir)/lcl/include" "-Fu$(lazdir)/lcl" "-Fi$(lazdir)/lcl"
endif

ifeq ($(UNAME),Windows)
  TARGET ?= Win32
  LAZARUSDIRECTORIES:="-Fu$(lazdir)/*" "-Fi$(lazdir)/*" "-Fu$(lazdir)/components/printers/win32" "-Fi$(lazdir)/components/printers/win32" "-Fu$(lazdir)/packager/registration" "-Fi$(lazdir)/packager/registration" "-Fu$(lazdir)/components/*" "-Fi$(lazdir)/components/*" "-Fu$(lazdir)/lcl/forms" "-Fi$(lazdir)/lcl/forms" "-Fu$(lazdir)/lcl/widgetset" "-Fi$(lazdir)/lcl/widgetset" "-Fu$(lazdir)/interfaces/*" "-Fi$(lazdir)/interfaces/*" "-Fu$(lazdir)/lcl/interfaces/win32" "-Fi$(lazdir)/lcl/interfaces/win32" "-Fu$(lazdir)/lcl/components/*" "-Fi$(lazdir)/lcl/components/*" "-Fu$(lazdir)/lcl/include" "-Fi$(lazdir)/lcl/include" "-Fu$(lazdir)/lcl" "-Fi$(lazdir)/lcl"
endif

# determine buildmode/interface
BUILDMODE:=Release
INTERFACE:=LCL$(shell echo $(TARGET) | tr A-Z a-z)
ifneq ($(TARGET),Win32)
  BUILDMODE:=Release$(TARGET)
endif

all: compile

install: prefix
ifeq ($(UNAME),Windows) 
	echo "Use installation made by InnoSetup with \"lazpaint\lazpaint.iss\""
endif

ifeq ($(UNAME),Linux)
	install -D "$(SOURCE_BIN_DIR)/$(package)" "$(BIN_DIR)/lazpaint"
	for f in $(PO_FILES); do install -D --mode=0644 "$(SOURCE_BIN_DIR)/i18n/$$f" "$(RESOURCE_DIR)/i18n/$$f"; done
	for f in $(MODEL_FILES); do install -D --mode=0644 "$(SOURCE_BIN_DIR)/models/$$f" "${RESOURCE_DIR}/models/$$f"; done
	install -D "$(SOURCE_DEBIAN_UPSTREAM)/applications/lazpaint.desktop" "$(SHARE_DIR)/applications/lazpaint.desktop"
	install -D "$(EXTRACTED_ICONS_DIR)/48x48.png" "$(SHARE_DIR)/pixmaps/lazpaint.png"
	for s in $(EXTRACTED_ICONS); do install -D --mode=0644 "$(EXTRACTED_ICONS_DIR)/$$s.png" "$(ICON_DIR)/$$s/apps/lazpaint.png"; done
	install -d "$(SHARE_DIR)/man/man1"
	gzip -9 -n -c "$(SOURCE_DEBIAN_UPSTREAM)/man/man1/lazpaint.1" >"$(SHARE_DIR)/man/man1/lazpaint.1.gz"
	chmod 0644 "$(SHARE_DIR)/man/man1/lazpaint.1.gz"
	install -d "$(DOC_DIR)"
	gzip -9 -n -c "$(SOURCE_DEBIAN_DIR)/changelog" >"$(DOC_DIR)/changelog.Debian.gz"
	chmod 0644 "$(DOC_DIR)/changelog.Debian.gz"
	install --mode=0644 "$(SOURCE_DEBIAN_DIR)/copyright" "$(DOC_DIR)/copyright"
	install --mode=0644 "$(SOURCE_BIN_DIR)/readme.txt" "$(DOC_DIR)/README"
endif

install_icons:

uninstall: prefix
ifeq ($(UNAME),Windows) 
	echo "Go to Add/Remove programs to uninstall"
endif

ifeq ($(UNAME),Linux)
	$(REMOVE) $(BIN_DIR)/lazpaint
	$(REMOVEDIR) $(RESOURCE_DIR)
	$(REMOVE) "$(SHARE_DIR)/applications/lazpaint.desktop"
	for s in $(EXTRACTED_ICONS); do $(REMOVE) $(ICON_DIR)/$$s/apps/lazpaint.png; done
	$(REMOVE) "$(SHARE_DIR)/pixmaps/lazpaint.png"
	$(REMOVE) "$(SHARE_DIR)/man/man1/lazpaint.1.gz"
	$(REMOVEDIR) $(DOC_DIR)
endif

distclean: clean clean_configure
clean: clean_bgrabitmap clean_bgracontrols clean_lazpaint

clean_configure:
	$(REMOVE) "prefix"
	$(REMOVE) "lazdir"
	$(REMOVE) "fpcbin"

clean_icons:
	$(REMOVEDIR) "icons"

clean_bgrabitmap:
	$(REMOVEDIR) "bgrabitmap/lib"
	$(REMOVEDIR) "bgrabitmap/backup"

clean_bgracontrols:
	$(REMOVEDIR) "bgracontrols/lib"
	$(REMOVEDIR) "bgracontrols/backup"

clean_lazpaint:
	$(REMOVEDIR) "lazpaint/debug"
	$(REMOVEDIR) "lazpaint/release/lib"
	$(REMOVE) "lazpaint/lazpaint.res"
ifeq ($(UNAME),Windows)
	$(REMOVE) "lazpaint/release/lazpaint32.exe"
	$(REMOVE) "lazpaint/release/lazpaint_x64.exe"
else
	$(REMOVE) "lazpaint/release/lazpaint"
	$(REMOVE) "lazpaint/release/lazpaint-gtk2"
	$(REMOVE) "lazpaint/release/lazpaint-qt5"
endif
	$(REMOVEDIR) "lazpaint/backup"
	$(REMOVEDIR) "lazpaint/test_embedded/backup"

compile: lazdir lazpaint
force:
	echo lazbuild or fpc will determine what to recompile

lazpaint: force bgracontrols lazpaint/lazpaint.lpi
ifeq "$(lazdir)" ""
	lazbuild --build-mode=$(BUILDMODE) bgrabitmap/bgrabitmappack.lpk bgracontrols/bgracontrols.lpk lazpaint/lazpaint.lpi
else
	$(COPY) "lazpaint/resources/lazpaint.res" "lazpaint/lazpaint.res"
	$(CREATEDIR) "lazpaint/release/lib"
	cd lazpaint $(THEN) $(fpcbin) -orelease/lazpaint -Fu./buttons -Fi./buttons -Fu./image -Fi./image -Fu./cursors -Fi./cursors -Fu./buttons -Fi./buttons -Fu./* -Fi./* -Fu../bgracontrols -Fi../bgracontrols -Fu../bgrabitmap -Fi../bgrabitmap $(LAZARUSDIRECTORIES) -MObjFPC -Scgi -Cg -OoREGVAR -Xs -XX -l -vewnhibq -O3 -CX -vi -FUrelease/lib/ -dLCL -d$(INTERFACE) lazpaint.lpr
endif
ifeq ($(MULTIBIN),1)
	mv "$(SOURCE_BIN_DIR)/lazpaint" "$(SOURCE_BIN_DIR)/$(package)"
endif

icons:
ifneq ($(UNAME),Windows)
	$(CREATEDIR) -p icons
	declare -A icons=($(ICONS)); for i in "$${!icons[@]}"; do convert $(ICON)[$$i] icons/$${icons[$$i]}.png; done
endif

=== debian/changelog ===
lazpaint (6.4.1-1) unstable; urgency=medium

  * Initial release. (Closes: #972503)

 -- Johann ELSASS <circular@operamail.com>  Wed, 14 Oct 2020 17:49:00 +0100

=== debian/control ===
Source: lazpaint
Section: graphics
Priority: optional
Maintainer: Johann ELSASS <circular@operamail.com>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: fpc, lcl, lazarus, libqt5pas-dev, debhelper-compat (= 13)
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://wiki.freepascal.org/LazPaint
Vcs-Git: https://github.com/bgrabitmap/lazpaint-upstream.git
Vcs-Browser: https://github.com/bgrabitmap/lazpaint-upstream

Package: lazpaint-gtk2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: lazpaint, lazpaint-gtk3, lazpaint-qt4, lazpaint-qt5
Description: Image editor with raster layers (gtk2)
 Can read layered files (lzp, ora, pdn), multi-images (gif, ico),
 flat files (bmp, jpeg, pcx, png, psd, tga, tiff, xpm, xwd),
 vectorial (svg), 3D (obj).
 Has drawing tools, phong shading, curve adjustments,
 filters and render some textures.
 Uses Gtk2 widgetset.

Package: lazpaint-qt5
Conflicts: lazpaint, lazpaint-gtk2, lazpaint-gtk3, lazpaint-qt4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Image editor with raster layers (qt5)
 Can read layered files (lzp, ora, pdn), multi-images (gif, ico),
 flat files (bmp, jpeg, pcx, png, psd, tga, tiff, xpm, xwd),
 vectorial (svg), 3D (obj).
 Has drawing tools, phong shading, curve adjustments,
 filters and render some textures.
 Uses Qt5 widgetset.

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --no-parallel
	
override_dh_auto_build:
	dh_auto_build --no-parallel -- MULTIBIN=1 TARGET=Gtk2
	dh_auto_build --no-parallel -- MULTIBIN=1 TARGET=Qt5

override_dh_auto_install:
	dh_auto_install --no-parallel -- MULTIBIN=1 TARGET=Gtk2
	dh_auto_install --no-parallel -- MULTIBIN=1 TARGET=Qt5

override_dh_auto_clean:
	dh_auto_clean --no-parallel -- MULTIBIN=1 TARGET=Gtk2
	dh_auto_clean --no-parallel -- MULTIBIN=1 TARGET=Qt5

## lazpaint 7.1.6

=== Makefile ===
# On Linux, TARGET can be Gtk2 (default) or Qt5
# On FreeBSD, TARGET can be Gtk2 (default) or Qt5
# On Windows, TARGET can be Win32 (default) or Qt5

BGRABITMAP_DIR := bgrabitmap
BGRACONTROLS_DIR := bgracontrols

ifeq ($(OS),Windows_NT)     # true for Windows_NT or later
  SHELL := C:/Windows/System32/cmd.exe /c
  UNAME := Windows
  COPY := winmake\copyfile
  REMOVE := winmake\remove
  REMOVEDIR := winmake\removedir
  CREATEDIR := winmake\createdir
  ECHOFILE := type
  THEN := &
  RUN :=
  NOERROR :=
else
  UNAME := $(shell uname)
  ifeq ($(UNAME),FreeBSD)
    SHELL := /usr/local/bin/bash
  else
    SHELL := /bin/bash
  endif
  COPY := cp
  REMOVE := rm -f
  REMOVEDIR := rm -rf
  CREATEDIR := mkdir -p
  ECHOFILE := cat
  THEN := ;
  RUN := ./
  NOERROR := 2>/dev/null
endif

lazdir := $(shell $(ECHOFILE) lazdir $(NOERROR))
fpcbin := $(shell $(ECHOFILE) fpcbin $(NOERROR))
package := lazpaint

ifeq ($(UNAME),Linux)
  TARGET ?= Gtk2
  prefix := $(shell $(ECHOFILE) prefix $(NOERROR))
  ifeq ($(MULTIBIN),1)
    package := lazpaint-$(shell echo $(TARGET) | tr A-Z a-z)
    prefix := /../$(package)$(prefix)
  endif
  USER_DIR = $(DESTDIR)$(prefix)
  BIN_DIR = $(USER_DIR)/bin
  SHARE_DIR=$(USER_DIR)/share
  RESOURCE_DIR=$(SHARE_DIR)/lazpaint
  ICON_DIR=$(SHARE_DIR)/icons/hicolor
  SOURCE_BIN_DIR=lazpaint/release/bin
  SOURCE_SCRIPT_DIR=resources/scripts
  SOURCE_ICON_DIR=resources/icon
  SOURCE_DEBIAN_UPSTREAM=lazpaint/release/debian
  ICON:=lazpaint/lazpaint.ico
  ICONS=$(shell identify $(ICON) | awk -F '[[]|[]] | ' '{ printf "[%s]=%s ", $$2, $$4 }')
  EXTRACTED_ICONS_DIR=resources/icon
  EXTRACTED_ICONS=16x16 24x24 32x32 48x48 96x96 128x128 256x256
  PO_FILES:=$(shell find "$(SOURCE_BIN_DIR)/i18n" -maxdepth 1 -type f -name *.po -printf "\"%f\" ")
  MODEL_FILES:=$(shell find "$(SOURCE_BIN_DIR)/models" -maxdepth 1 -type f -printf "\"%f\" ")
  SCRIPT_FILES:=$(shell find "$(SOURCE_SCRIPT_DIR)" -maxdepth 1 -type f -name *.py -printf "\"%f\" ")
  SCRIPT_RUNTIME_FILES:=$(shell find "$(SOURCE_SCRIPT_DIR)/lazpaint" -maxdepth 1 -type f -name *.py -printf "\"%f\" ")
  
  LAZARUSDIRECTORIES:="-Fu$(lazdir)/*" "-Fi$(lazdir)/*" "-Fu$(lazdir)/components/printers/unix" "-Fi$(lazdir)/components/printers/unix" "-Fu$(lazdir)/packager/registration" "-Fi$(lazdir)/packager/registration" "-Fu$(lazdir)/components/*" "-Fi$(lazdir)/components/*" "-Fu$(lazdir)/lcl/forms" "-Fi$(lazdir)/lcl/forms" "-Fu$(lazdir)/lcl/widgetset" "-Fi$(lazdir)/lcl/widgetset" "-Fu$(lazdir)/interfaces/*" "-Fi$(lazdir)/interfaces/*" "-Fu$(lazdir)/lcl/nonwin32" "-Fi$(lazdir)/lcl/nonwin32" "-Fu$(lazdir)/lcl/interfaces/gtk2" "-Fi$(lazdir)/lcl/interfaces/gtk2" "-Fu$(lazdir)/lcl/components/*" "-Fi$(lazdir)/lcl/components/*" "-Fu$(lazdir)/lcl/include" "-Fi$(lazdir)/lcl/include" "-Fu$(lazdir)/lcl" "-Fi$(lazdir)/lcl"
endif

ifeq ($(UNAME),FreeBSD)
  TARGET ?= Gtk2
  LAZARUSDIRECTORIES:="-Fu$(lazdir)/*" "-Fi$(lazdir)/*" "-Fu$(lazdir)/components/printers/unix" "-Fi$(lazdir)/components/printers/unix" "-Fu$(lazdir)/packager/registration" "-Fi$(lazdir)/packager/registration" "-Fu$(lazdir)/components/*" "-Fi$(lazdir)/components/*" "-Fu$(lazdir)/lcl/forms" "-Fi$(lazdir)/lcl/forms" "-Fu$(lazdir)/lcl/widgetset" "-Fi$(lazdir)/lcl/widgetset" "-Fu$(lazdir)/interfaces/*" "-Fi$(lazdir)/interfaces/*" "-Fu$(lazdir)/lcl/nonwin32" "-Fi$(lazdir)/lcl/nonwin32" "-Fu$(lazdir)/lcl/interfaces/gtk2" "-Fi$(lazdir)/lcl/interfaces/gtk2" "-Fu$(lazdir)/lcl/components/*" "-Fi$(lazdir)/lcl/components/*" "-Fu$(lazdir)/lcl/include" "-Fi$(lazdir)/lcl/include" "-Fu$(lazdir)/lcl" "-Fi$(lazdir)/lcl"
endif

ifeq ($(UNAME),Windows)
  TARGET ?= Win32
  LAZARUSDIRECTORIES:="-Fu$(lazdir)/*" "-Fi$(lazdir)/*" "-Fu$(lazdir)/components/printers/win32" "-Fi$(lazdir)/components/printers/win32" "-Fu$(lazdir)/packager/registration" "-Fi$(lazdir)/packager/registration" "-Fu$(lazdir)/components/*" "-Fi$(lazdir)/components/*" "-Fu$(lazdir)/lcl/forms" "-Fi$(lazdir)/lcl/forms" "-Fu$(lazdir)/lcl/widgetset" "-Fi$(lazdir)/lcl/widgetset" "-Fu$(lazdir)/interfaces/*" "-Fi$(lazdir)/interfaces/*" "-Fu$(lazdir)/lcl/interfaces/win32" "-Fi$(lazdir)/lcl/interfaces/win32" "-Fu$(lazdir)/lcl/components/*" "-Fi$(lazdir)/lcl/components/*" "-Fu$(lazdir)/lcl/include" "-Fi$(lazdir)/lcl/include" "-Fu$(lazdir)/lcl" "-Fi$(lazdir)/lcl"
endif

# determine buildmode/interface
BUILDMODE:=Release
INTERFACE:=LCL$(shell echo $(TARGET) | tr A-Z a-z)
ifeq ($(TARGET),Qt5)
  BUILDMODE:=ReleaseQt5
endif

# Lazarus custom packages explicitely compiled
ifeq "$(FOREIGN_LPK)" "1"
  FOREIGN_PACKAGES=$(BGRABITMAP_DIR)/bgrabitmappack.lpk $(BGRACONTROLS_DIR)/bgracontrols.lpk
endif

all: compile

install: prefix
ifeq ($(UNAME),Windows) 
	echo "Under Windows, use installation generated by InnoSetup with lazpaint/release/windows/lazpaint.iss"
endif

ifeq ($(UNAME),Linux)
	install -D "$(SOURCE_BIN_DIR)/$(package)" "$(BIN_DIR)/lazpaint"
	for f in $(PO_FILES); do install -D --mode=0644 "$(SOURCE_BIN_DIR)/i18n/$$f" "$(RESOURCE_DIR)/i18n/$$f"; done
	for f in $(MODEL_FILES); do install -D --mode=0644 "$(SOURCE_BIN_DIR)/models/$$f" "${RESOURCE_DIR}/models/$$f"; done
	for f in $(SCRIPT_FILES); do install -D --mode=0644 "$(SOURCE_SCRIPT_DIR)/$$f" "${RESOURCE_DIR}/scripts/$$f"; done
	for f in $(SCRIPT_RUNTIME_FILES); do install -D --mode=0644 "$(SOURCE_SCRIPT_DIR)/lazpaint/$$f" "${RESOURCE_DIR}/scripts/lazpaint/$$f"; done
	install -D "$(SOURCE_DEBIAN_UPSTREAM)/applications/lazpaint.desktop" "$(SHARE_DIR)/applications/lazpaint.desktop"
	install -D "$(EXTRACTED_ICONS_DIR)/48x48.png" "$(SHARE_DIR)/pixmaps/lazpaint.png"
	for s in $(EXTRACTED_ICONS); do install -D --mode=0644 "$(EXTRACTED_ICONS_DIR)/$$s.png" "$(ICON_DIR)/$$s/apps/lazpaint.png"; done
	install -d "$(SHARE_DIR)/man/man1"
	gzip -9 -n -c "$(SOURCE_DEBIAN_UPSTREAM)/man/man1/lazpaint.1" >"$(SHARE_DIR)/man/man1/lazpaint.1.gz"
	chmod 0644 "$(SHARE_DIR)/man/man1/lazpaint.1.gz"
endif

uninstall: prefix
ifeq ($(UNAME),Windows) 
	echo "Under Windows, go to Add/Remove programs to uninstall"
endif

ifeq ($(UNAME),Linux)
	$(REMOVE) $(BIN_DIR)/lazpaint
	$(REMOVEDIR) $(RESOURCE_DIR)
	$(REMOVE) "$(SHARE_DIR)/applications/lazpaint.desktop"
	$(REMOVE) "$(SHARE_DIR)/pixmaps/lazpaint.png"
	for s in $(EXTRACTED_ICONS); do $(REMOVE) $(ICON_DIR)/$$s/apps/lazpaint.png; done
	$(REMOVE) "$(SHARE_DIR)/man/man1/lazpaint.1.gz"
endif

distclean: clean clean_configure
clean: clean_bgrabitmap clean_bgracontrols clean_lazpaint

clean_configure:
	$(REMOVE) "prefix"
	$(REMOVE) "lazdir"
	$(REMOVE) "fpcbin"

clean_icons:
	$(REMOVEDIR) "icons"

clean_bgrabitmap:
	$(REMOVEDIR) "$(BGRABITMAP_DIR)/lib"
	$(REMOVEDIR) "$(BGRABITMAP_DIR)/backup"

clean_bgracontrols:
	$(REMOVEDIR) "$(BGRACONTROLS_DIR)/lib"
	$(REMOVEDIR) "$(BGRACONTROLS_DIR)/backup"

clean_lazpaint:
	$(REMOVEDIR) "lazpaintcontrols/lib"
	$(REMOVEDIR) "lazpaint/debug"
	$(REMOVEDIR) "lazpaint/release/lib"
	$(REMOVE) "lazpaint/lazpaint.res"
ifeq ($(UNAME),Windows)
	$(REMOVE) "lazpaint/release/bin/lazpaint.exe"
	$(REMOVE) "lazpaint/release/bin/lazpaint32.exe"
	$(REMOVE) "lazpaint/release/bin/lazpaint64.exe"
else
	$(REMOVE) "lazpaint/release/bin/lazpaint"
	$(REMOVE) "lazpaint/release/bin/lazpaint32"
	$(REMOVE) "lazpaint/release/bin/lazpaint64"
	$(REMOVE) "lazpaint/release/bin/lazpaint-gtk2"
	$(REMOVE) "lazpaint/release/bin/lazpaint-qt5"
endif
	$(REMOVEDIR) "lazpaint/backup"
	$(REMOVEDIR) "lazpaint/test_embedded/backup"

compile: lazdir lazpaint
force:
	#lazbuild or fpc will determine what to recompile

lazpaint: force $(FOREIGN_PACKAGES) lazpaintcontrols/lazpaintcontrols.lpk lazpaint/lazpaint.lpi
ifeq "$(lazdir)" ""
	lazbuild --build-mode=$(BUILDMODE) $(FOREIGN_PACKAGES) lazpaintcontrols/lazpaintcontrols.lpk lazpaint/lazpaint.lpi
else
	$(COPY) "resources/lazpaint.res" "lazpaint/lazpaint.res"
	$(CREATEDIR) "lazpaint/release/lib"
	cd lazpaint $(THEN) $(fpcbin) -orelease/lazpaint -Fu./buttons -Fi./buttons -Fu./image -Fi./image -Fu./cursors -Fi./cursors -Fu./buttons -Fi./buttons -Fu./* -Fi./* -Fu../$(BGRACONTROLS_DIR) -Fi../$(BGRACONTROLS_DIR) -Fu../$(BGRABITMAP_DIR) -Fi../$(BGRABITMAP_DIR) $(LAZARUSDIRECTORIES) -MObjFPC -Scgi -Cg -OoREGVAR -Xs -XX -l -vewnhibq -O3 -CX -vi -FUrelease/lib/ -dLCL -d$(INTERFACE) lazpaint.lpr
endif
ifeq ($(MULTIBIN),1)
	mv "$(SOURCE_BIN_DIR)/lazpaint" "$(SOURCE_BIN_DIR)/$(package)"
endif

icons:
ifneq ($(UNAME),Windows)
	$(CREATEDIR) -p icons
	declare -A icons=($(ICONS)); for i in "$${!icons[@]}"; do convert $(ICON)[$$i] $(SOURCE_ICON_DIR)/$${icons[$$i]}.png; done
endif

=== bgracontrols/Makefile ===
ifeq ($(OS),Windows_NT)     # true for Windows_NT or later
  COPY := winmake\copyfile
  REMOVE := winmake\remove
  REMOVEDIR := winmake\removedir
  THEN := &
  RUN :=
else
  COPY := cp
  REMOVE := rm -f
  REMOVEDIR := rm -rf
  THEN := ;
  RUN := ./
  RUN := $(strip $(RUN))
endif

all: compile

install: not_installable
uninstall: not_installable

not_installable:
	echo "The library cannot be installed on the system but statically linked to another Lazarus package or application."

clean: clean_bgracontrols

clean_bgracontrols:
	$(REMOVEDIR) "lib"
	$(REMOVEDIR) "backup"

compile: BGRAControls
lazbuild:
	#lazbuild will determine what to recompile
BGRAControls: lazbuild bgracontrols.lpk
	lazbuild bgracontrols.lpk

=== debian/changelog ===
lazpaint (7.1.6-1) unstable; urgency=medium

  * new upstream version
  * d/control: update description with new features
  * d/copyright:
    - add entry for bgrabitmap folder (Closes: #973774)
    - add copyright for new files
    - use license LGPL-3-linking-exception
  * d/rules: update rules to specify usage of custom packages

 -- Johann ELSASS <circular@operamail.com>  Fri, 4 Dec 2020 08:35:00 +0100

=== debian/control ===
Source: lazpaint
Section: graphics
Priority: optional
Maintainer: Johann ELSASS <circular@operamail.com>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: fpc, lcl, lazarus, libqt5pas-dev, debhelper-compat (= 13)
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://wiki.freepascal.org/LazPaint
Vcs-Git: https://github.com/bgrabitmap/lazpaint-upstream.git
Vcs-Browser: https://github.com/bgrabitmap/lazpaint-upstream

Package: lazpaint-gtk2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: lazpaint, lazpaint-gtk3, lazpaint-qt4, lazpaint-qt5
Description: Image editor with raster and vector layers (gtk2)
 Can read layered files (lzp, ora, pdn, oXo, flat psd), multi-images (gif,
 ico, tiff), flat files (bmp, jpeg, pcx, png, tga, webp, xpm, xwd),
 raw images (dng, cr2, nef, arw...), vectorial (svg), 3D (obj). Has drawing
 tools, vector shapes, phong shading, curve adjustments, filters, render
 some textures, Python scripting.
 Uses Gtk2 widgetset.

Package: lazpaint-qt5
Conflicts: lazpaint, lazpaint-gtk2, lazpaint-gtk3, lazpaint-qt4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Image editor with raster and  vector layers (qt5)
 Can read layered files (lzp, ora, pdn, oXo, flat psd), multi-images (gif,
 ico, tiff), flat files (bmp, jpeg, pcx, png, tga, webp, xpm, xwd),
 raw images (dng, cr2, nef, arw...), vectorial (svg), 3D (obj). Has drawing
 tools, vector shapes, phong shading, curve adjustments, filters, render
 some textures, Python scripting.
 Uses Qt5 widgetset.

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --no-parallel
	
override_dh_auto_build:
	dh_auto_build --no-parallel -- MULTIBIN=1 TARGET=Gtk2 FOREIGN_LPK=1
	dh_auto_build --no-parallel -- MULTIBIN=1 TARGET=Qt5 FOREIGN_LPK=1

override_dh_auto_install:
	dh_auto_install --no-parallel -- MULTIBIN=1 TARGET=Gtk2 FOREIGN_LPK=1
	dh_auto_install --no-parallel -- MULTIBIN=1 TARGET=Qt5 FOREIGN_LPK=1

override_dh_auto_clean:
	dh_auto_clean --no-parallel -- MULTIBIN=1 TARGET=Gtk2 FOREIGN_LPK=1
	dh_auto_clean --no-parallel -- MULTIBIN=1 TARGET=Qt5 FOREIGN_LPK=1

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/lazpaint-$1\.tar\.gz/ \
  https://github.com/bgrabitmap/lazpaint/tags .*/v?(\d\S+)\.tar\.gz

## lazpaint 7.2.2

=== Makefile ===
--- 
+++ 
@@ -166,7 +166,7 @@
 
 lazpaint: force $(FOREIGN_PACKAGES) lazpaintcontrols/lazpaintcontrols.lpk lazpaint/lazpaint.lpi
 ifeq "$(lazdir)" ""
-	lazbuild --build-mode=$(BUILDMODE) $(FOREIGN_PACKAGES) lazpaintcontrols/lazpaintcontrols.lpk lazpaint/lazpaint.lpi
+	lazbuild -B -r --build-mode=$(BUILDMODE) $(FOREIGN_PACKAGES) lazpaintcontrols/lazpaintcontrols.lpk lazpaint/lazpaint.lpi
 else
 	$(COPY) "resources/lazpaint.res" "lazpaint/lazpaint.res"
 	$(CREATEDIR) "lazpaint/release/lib"

=== debian/changelog ===
lazpaint (7.2.2-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 26 Sep 2022 15:25:17 -0700

lazpaint (7.2.2-1) unstable; urgency=medium

  * New upstream version. (Closes: #1005672)
  * d/control: update description with new features

  [ Gürkan Myczko ]
  * Bump standards version to 4.6.1.
  * d/copyright: bump years.
  * d/control: wrap build-depends.

 -- Johann ELSASS <circular@fastmail.com>  Tue, 23 Aug 2022 10:35:00 +0100

=== debian/control ===
Source: lazpaint
Section: graphics
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Johann ELSASS <circular@fastmail.com>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper-compat (= 13), fpc, lazarus, lcl, libqt5pas-dev
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://wiki.freepascal.org/LazPaint
Vcs-Git: https://github.com/bgrabitmap/lazpaint-upstream.git
Vcs-Browser: https://github.com/bgrabitmap/lazpaint-upstream

Package: lazpaint-gtk2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: lazpaint, lazpaint-gtk3, lazpaint-qt4, lazpaint-qt5
Description: Image editor with raster and vector layers (gtk2)
 Can read layered files (lzp, ora, pdn, oXo, flat psd), multi-images (gif,
 ico, tiff), flat files (avif, bmp, jpeg, pcx, png, tga, webp, xpm, xwd),
 raw images (dng, cr2, nef, arw...), vectorial (svg), 3D (obj). Has drawing
 tools, vector shapes, phong shading, curve adjustments, filters, render
 some textures, Python scripting.
 Uses Gtk2 widgetset.

Package: lazpaint-qt5
Conflicts: lazpaint, lazpaint-gtk2, lazpaint-gtk3, lazpaint-qt4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Image editor with raster and  vector layers (qt5)
 Can read layered files (lzp, ora, pdn, oXo, flat psd), multi-images (gif,
 ico, tiff), flat files (avif, bmp, jpeg, pcx, png, tga, webp, xpm, xwd),
 raw images (dng, cr2, nef, arw...), vectorial (svg), 3D (obj). Has drawing
 tools, vector shapes, phong shading, curve adjustments, filters, render
 some textures, Python scripting.
 Uses Qt5 widgetset.

=== debian/rules ===
--- 
+++ 
@@ -24,3 +24,7 @@
 override_dh_auto_clean:
 	dh_auto_clean --no-parallel -- MULTIBIN=1 TARGET=Gtk2 FOREIGN_LPK=1
 	dh_auto_clean --no-parallel -- MULTIBIN=1 TARGET=Qt5 FOREIGN_LPK=1
+
+# No dbgsym package:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## lazpaint 7.2.2.1

=== Makefile ===
--- 
+++ 
@@ -170,7 +170,7 @@
 else
 	$(COPY) "resources/lazpaint.res" "lazpaint/lazpaint.res"
 	$(CREATEDIR) "lazpaint/release/lib"
-	cd lazpaint $(THEN) $(fpcbin) -orelease/lazpaint -Fu./buttons -Fi./buttons -Fu./image -Fi./image -Fu./cursors -Fi./cursors -Fu./buttons -Fi./buttons -Fu./* -Fi./* -Fu../$(BGRACONTROLS_DIR) -Fi../$(BGRACONTROLS_DIR) -Fu../$(BGRABITMAP_DIR) -Fi../$(BGRABITMAP_DIR) $(LAZARUSDIRECTORIES) -MObjFPC -Scgi -Cg -OoREGVAR -Xs -XX -l -vewnhibq -O3 -CX -vi -FUrelease/lib/ -dLCL -d$(INTERFACE) lazpaint.lpr
+	cd lazpaint $(THEN) $(fpcbin) -B -orelease/lazpaint -Fu./buttons -Fi./buttons -Fu./image -Fi./image -Fu./cursors -Fi./cursors -Fu./buttons -Fi./buttons -Fu./* -Fi./* -Fu../$(BGRACONTROLS_DIR) -Fi../$(BGRACONTROLS_DIR) -Fu../$(BGRABITMAP_DIR) -Fi../$(BGRABITMAP_DIR) $(LAZARUSDIRECTORIES) -MObjFPC -Scgi -Cg -OoREGVAR -Xs -XX -l -vewnhibq -O1 -CX -vi -FUrelease/lib/ -dLCL -d$(INTERFACE) lazpaint.lpr
 endif
 ifeq ($(MULTIBIN),1)
 	mv "$(SOURCE_BIN_DIR)/lazpaint" "$(SOURCE_BIN_DIR)/$(package)"

=== debian/changelog ===
lazpaint (7.2.2.1-2) unstable; urgency=medium

  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Mon, 22 Jul 2024 12:31:36 +0000

lazpaint (7.2.2.1-1) unstable; urgency=medium

  * New upstream version. (Closes: #1061003)
  * d/copyright: bump years, update email.
  * Bump standards version to 4.6.2.

 -- Gürkan Myczko <tar@debian.org>  Mon, 22 Jan 2024 12:29:00 +0100

lazpaint (7.2.2-2) unstable; urgency=medium

  * Add libgtk2.0-dev to build-depends. (Closes: #1026718)
  * Update maintainer address.

 -- Gürkan Myczko <tar@debian.org>  Mon, 09 Jan 2023 15:07:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,17 @@
 Source: lazpaint
 Section: graphics
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Johann ELSASS <circular@fastmail.com>
-Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper-compat (= 13), fpc, lazarus, lcl, libqt5pas-dev
+Maintainer: Johann ELSASS <circular@fastmail.com>
+Uploaders: Alex Myczko <tar@debian.org>
+Build-Depends:
+ fpc,
+ lcl,
+ lazarus,
+ libqt5pas-dev,
+ libgtk2.0-dev,
+ debhelper-compat (= 13)
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://wiki.freepascal.org/LazPaint
 Vcs-Git: https://github.com/bgrabitmap/lazpaint-upstream.git
 Vcs-Browser: https://github.com/bgrabitmap/lazpaint-upstream

## lazpaint 7.3

=== Makefile ===
--- 
+++ 
@@ -62,17 +62,87 @@
   SCRIPT_FILES:=$(shell find "$(SOURCE_SCRIPT_DIR)" -maxdepth 1 -type f -name *.py -printf "\"%f\" ")
   SCRIPT_RUNTIME_FILES:=$(shell find "$(SOURCE_SCRIPT_DIR)/lazpaint" -maxdepth 1 -type f -name *.py -printf "\"%f\" ")
   
-  LAZARUSDIRECTORIES:="-Fu$(lazdir)/*" "-Fi$(lazdir)/*" "-Fu$(lazdir)/components/printers/unix" "-Fi$(lazdir)/components/printers/unix" "-Fu$(lazdir)/packager/registration" "-Fi$(lazdir)/packager/registration" "-Fu$(lazdir)/components/*" "-Fi$(lazdir)/components/*" "-Fu$(lazdir)/lcl/forms" "-Fi$(lazdir)/lcl/forms" "-Fu$(lazdir)/lcl/widgetset" "-Fi$(lazdir)/lcl/widgetset" "-Fu$(lazdir)/interfaces/*" "-Fi$(lazdir)/interfaces/*" "-Fu$(lazdir)/lcl/nonwin32" "-Fi$(lazdir)/lcl/nonwin32" "-Fu$(lazdir)/lcl/interfaces/gtk2" "-Fi$(lazdir)/lcl/interfaces/gtk2" "-Fu$(lazdir)/lcl/components/*" "-Fi$(lazdir)/lcl/components/*" "-Fu$(lazdir)/lcl/include" "-Fi$(lazdir)/lcl/include" "-Fu$(lazdir)/lcl" "-Fi$(lazdir)/lcl"
+  LAZARUSDIRECTORIES:=\
+"-Fu$(lazdir)/*" \
+"-Fi$(lazdir)/*" \
+"-Fu$(lazdir)/components/printers/unix" \
+"-Fi$(lazdir)/components/printers/unix" \
+"-Fu$(lazdir)/packager/registration" \
+"-Fi$(lazdir)/packager/registration" \
+"-Fu$(lazdir)/components/*" \
+"-Fi$(lazdir)/components/*" \
+"-Fu$(lazdir)/lcl/forms" \
+"-Fi$(lazdir)/lcl/forms" \
+"-Fu$(lazdir)/lcl/widgetset" \
+"-Fi$(lazdir)/lcl/widgetset" \
+"-Fu$(lazdir)/interfaces/*" \
+"-Fi$(lazdir)/interfaces/*" \
+"-Fu$(lazdir)/lcl/nonwin32" \
+"-Fi$(lazdir)/lcl/nonwin32" \
+"-Fu$(lazdir)/lcl/interfaces/gtk2" \
+"-Fi$(lazdir)/lcl/interfaces/gtk2" \
+"-Fu$(lazdir)/lcl/components/*" \
+"-Fi$(lazdir)/lcl/components/*" \
+"-Fu$(lazdir)/lcl/include" \
+"-Fi$(lazdir)/lcl/include" \
+"-Fu$(lazdir)/lcl" \
+"-Fi$(lazdir)/lcl"
 endif
 
 ifeq ($(UNAME),FreeBSD)
   TARGET ?= Gtk2
-  LAZARUSDIRECTORIES:="-Fu$(lazdir)/*" "-Fi$(lazdir)/*" "-Fu$(lazdir)/components/printers/unix" "-Fi$(lazdir)/components/printers/unix" "-Fu$(lazdir)/packager/registration" "-Fi$(lazdir)/packager/registration" "-Fu$(lazdir)/components/*" "-Fi$(lazdir)/components/*" "-Fu$(lazdir)/lcl/forms" "-Fi$(lazdir)/lcl/forms" "-Fu$(lazdir)/lcl/widgetset" "-Fi$(lazdir)/lcl/widgetset" "-Fu$(lazdir)/interfaces/*" "-Fi$(lazdir)/interfaces/*" "-Fu$(lazdir)/lcl/nonwin32" "-Fi$(lazdir)/lcl/nonwin32" "-Fu$(lazdir)/lcl/interfaces/gtk2" "-Fi$(lazdir)/lcl/interfaces/gtk2" "-Fu$(lazdir)/lcl/components/*" "-Fi$(lazdir)/lcl/components/*" "-Fu$(lazdir)/lcl/include" "-Fi$(lazdir)/lcl/include" "-Fu$(lazdir)/lcl" "-Fi$(lazdir)/lcl"
+  LAZARUSDIRECTORIES:=\
+"-Fu$(lazdir)/*" \
+"-Fi$(lazdir)/*" \
+"-Fu$(lazdir)/components/printers/unix" \
+"-Fi$(lazdir)/components/printers/unix" \
+"-Fu$(lazdir)/packager/registration" \
+"-Fi$(lazdir)/packager/registration" \
+"-Fu$(lazdir)/components/*" \
+"-Fi$(lazdir)/components/*" \
+"-Fu$(lazdir)/lcl/forms" \
+"-Fi$(lazdir)/lcl/forms" \
+"-Fu$(lazdir)/lcl/widgetset" \
+"-Fi$(lazdir)/lcl/widgetset" \
+"-Fu$(lazdir)/interfaces/*" \
+"-Fi$(lazdir)/interfaces/*" \
+"-Fu$(lazdir)/lcl/nonwin32" \
+"-Fi$(lazdir)/lcl/nonwin32" \
+"-Fu$(lazdir)/lcl/interfaces/gtk2" \
+"-Fi$(lazdir)/lcl/interfaces/gtk2" \
+"-Fu$(lazdir)/lcl/components/*" \
+"-Fi$(lazdir)/lcl/components/*" \
+"-Fu$(lazdir)/lcl/include" \
+"-Fi$(lazdir)/lcl/include" \
+"-Fu$(lazdir)/lcl" \
+"-Fi$(lazdir)/lcl"
 endif
 
 ifeq ($(UNAME),Windows)
   TARGET ?= Win32
-  LAZARUSDIRECTORIES:="-Fu$(lazdir)/*" "-Fi$(lazdir)/*" "-Fu$(lazdir)/components/printers/win32" "-Fi$(lazdir)/components/printers/win32" "-Fu$(lazdir)/packager/registration" "-Fi$(lazdir)/packager/registration" "-Fu$(lazdir)/components/*" "-Fi$(lazdir)/components/*" "-Fu$(lazdir)/lcl/forms" "-Fi$(lazdir)/lcl/forms" "-Fu$(lazdir)/lcl/widgetset" "-Fi$(lazdir)/lcl/widgetset" "-Fu$(lazdir)/interfaces/*" "-Fi$(lazdir)/interfaces/*" "-Fu$(lazdir)/lcl/interfaces/win32" "-Fi$(lazdir)/lcl/interfaces/win32" "-Fu$(lazdir)/lcl/components/*" "-Fi$(lazdir)/lcl/components/*" "-Fu$(lazdir)/lcl/include" "-Fi$(lazdir)/lcl/include" "-Fu$(lazdir)/lcl" "-Fi$(lazdir)/lcl"
+  LAZARUSDIRECTORIES:=\
+"-Fu$(lazdir)/*" \
+"-Fi$(lazdir)/*" \
+"-Fu$(lazdir)/components/printers/win32" \
+"-Fi$(lazdir)/components/printers/win32" \
+"-Fu$(lazdir)/packager/registration" \
+"-Fi$(lazdir)/packager/registration" \
+"-Fu$(lazdir)/components/*" \
+"-Fi$(lazdir)/components/*" \
+"-Fu$(lazdir)/lcl/forms" \
+"-Fi$(lazdir)/lcl/forms" \
+"-Fu$(lazdir)/lcl/widgetset" \
+"-Fi$(lazdir)/lcl/widgetset" \
+"-Fu$(lazdir)/interfaces/*" \
+"-Fi$(lazdir)/interfaces/*" \
+"-Fu$(lazdir)/lcl/interfaces/win32" \
+"-Fi$(lazdir)/lcl/interfaces/win32" \
+"-Fu$(lazdir)/lcl/components/*" \
+"-Fi$(lazdir)/lcl/components/*" \
+"-Fu$(lazdir)/lcl/include" \
+"-Fi$(lazdir)/lcl/include" \
+"-Fu$(lazdir)/lcl" \
+"-Fi$(lazdir)/lcl"
 endif
 
 # determine buildmode/interface

=== debian/changelog ===
lazpaint (7.3-1) unstable; urgency=medium

  * New upstream version.
  * d/control: update first name of maintainer
  * d/control: update project homepage.
  * d/copyright: update first name of maintainer.
  * d/copyright: remove address of the Free Software Foundation.
  * d/watch: add PGP signing to source repository.
  * Bump standards version to 4.7.2.

  [ Alex Myczko ]
  * Ack NMU.

 -- Juliette ELSASS <circular@fastmail.com>  Tue, 27 May 2025 18:31:00 +0100

lazpaint (7.2.2.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Point Vcs fields to salsa. (Closes: #1093813)
  * Drop lazpaint-gtk2. (Closes: #1052333)

 -- Bastian Germann <bage@debian.org>  Thu, 23 Jan 2025 00:05:41 +0100

=== debian/control ===
Source: lazpaint
Section: graphics
Priority: optional
Maintainer: Juliette ELSASS <circular@fastmail.com>
Uploaders: Alex Myczko <tar@debian.org>
Build-Depends:
 fpc,
 lcl,
 lazarus,
 libqt5pas-dev,
 debhelper-compat (= 13)
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://lazpaint.github.io/
Vcs-Git: https://salsa.debian.org/debian/lazpaint.git
Vcs-Browser: https://salsa.debian.org/debian/lazpaint

Package: lazpaint-qt5
Conflicts: lazpaint, lazpaint-gtk2, lazpaint-gtk3, lazpaint-qt4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Image editor with raster and  vector layers (qt5)
 Can read layered files (lzp, ora, pdn, oXo, flat psd), multi-images (gif,
 ico, tiff), flat files (avif, bmp, jpeg, pcx, png, tga, webp, xpm, xwd),
 raw images (dng, cr2, nef, arw...), vectorial (svg), 3D (obj). Has drawing
 tools, vector shapes, phong shading, curve adjustments, filters, render
 some textures, Python scripting.
 Uses Qt5 widgetset.

=== debian/rules ===
--- 
+++ 
@@ -12,19 +12,12 @@
 
 %:
 	dh $@ --no-parallel
-	
+
 override_dh_auto_build:
-	dh_auto_build --no-parallel -- MULTIBIN=1 TARGET=Gtk2 FOREIGN_LPK=1
 	dh_auto_build --no-parallel -- MULTIBIN=1 TARGET=Qt5 FOREIGN_LPK=1
 
 override_dh_auto_install:
-	dh_auto_install --no-parallel -- MULTIBIN=1 TARGET=Gtk2 FOREIGN_LPK=1
 	dh_auto_install --no-parallel -- MULTIBIN=1 TARGET=Qt5 FOREIGN_LPK=1
 
 override_dh_auto_clean:
-	dh_auto_clean --no-parallel -- MULTIBIN=1 TARGET=Gtk2 FOREIGN_LPK=1
 	dh_auto_clean --no-parallel -- MULTIBIN=1 TARGET=Qt5 FOREIGN_LPK=1
-
-# No dbgsym package:
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

=== debian/watch ===
version=4
opts=\
  filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/lazpaint-$1\.tar\.gz/,\
  pgpsigurlmangle=s/.+\/v?(\d\S+)\.tar\.gz/https:\/\/github.com\/bgrabitmap\/lazpaint\/releases\/download\/v$1\/lazpaint-$1\.tar\.gz\.asc/ \
  https://github.com/bgrabitmap/lazpaint/tags .*/v?(\d\S+)\.tar\.gz
